/**
 * HARMONIC MOTION
 * Sketch : oscillations_01 
 */

float period = 100; // unit time > frequency
float amp = 150; // amplitude

void setup() {
  size(500, 500);
  background(0);
  noStroke();
}


void draw() {
  background(0);  

  //TWO_PI gives 1 cycle of the sin function 
  float x = sin(TWO_PI*frameCount/period) * amp;
  ellipse(width/2 + x, height/2, 75, 75);
}

/*

HARMONIC OSCILLATION

We can use sin/cos functions for motion.
We do this by using two properties with our sin function:

- amplitude
- frequency/period

We can express motion as a function of time with sin where 
the period is 1 cycle. A longer period results in slower motion 
whereas shorter periods result in faster motion. 
*/